package com.qunzhixinxi.hnqz.admin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 打卡详情-拜访结果
 *
 * @author lixuesong
 * @date 2022年01月21日 13:31
 */
@Getter
@AllArgsConstructor
public enum UserSignResultEnum {

	// 拜访结果
	RESULT1("0", "完成"),
	RESULT2("1", "部分完成"),
	RESULT3("2", "未完成");

	/**
	 * 值
	 */
	private String val;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 根据val查询
	 *
	 * @param val
	 * @return
	 */
	public static UserSignResultEnum resolve(String val) {
		for (UserSignResultEnum resultEnum: UserSignResultEnum.values()){
			if (resultEnum.val.equals(val)){
				return resultEnum;
			}
		}
		return null;
	}
}
